//
//  Copyright: (C) 2005-2006 by Martin Koehler <mkoehler@users.berlios.de>
//  $Id: DifferenceExtraction.h 2 2006-03-11 15:59:15Z martin $
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version
//

#import <Cocoa/Cocoa.h>

#pragma mark Debugging/DifferenceExtraction helper methods

@interface DifferenceExtraction : NSObject
{
}

+ (NSString *)describeDifferenceBetween:(id)obj1 
                                    and:(id)obj2
                               selector:(SEL)sel
                                 lvalue:(id)lvalue
                                 rvalue:(id)rvalue;

+ (NSString *)describeDifferenceBetween:(id)obj1 
                                    and:(id)obj2
                                 reason:(NSString *)reason
                                 lvalue:(id)lvalue
                                 rvalue:(id)rvalue;
@end