//
//  Copyright: (C) 2006 by Martin Koehler <mkoehler@users.berlios.de>
//  $Id: LineReader.h 23 2008-03-23 13:55:36Z martin $
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version
//

#import <Cocoa/Cocoa.h>


@interface LineReader : NSObject 
{
  NSFileHandle *_fileHandle;
  NSArray *_separatorStrings;
  
  NSMutableArray *_lines;
  NSMutableString *_unfinishedLineBuffer;
  BOOL _eofReached;
}

- (id)initWithFileHandle:(NSFileHandle *)theFileHandle;

- (id)initWithFileHandle:(NSFileHandle *)theFileHandle
        separatorStrings:(NSArray *)theSeparatorStrings;

- (NSString *)nextLine;
- (BOOL)hasNext;

@end
