//
//  Copyright: (C) 2006 by Martin Koehler <mkoehler@users.berlios.de>
//  $Id: MKFoundation.h 21 2008-01-31 12:53:43Z martin $
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version
//

#ifdef __OBJC__
    #import <Cocoa/Cocoa.h>    
    
    #import "Debugging.h"
    
    #import "MacrosAndGlobals.h"
    
    #import "Stack.h"
    
    #import "CommandLineUtility.h"
    
    #import "Comparator.h"
    #import "ConjunctiveComparator.h"
    #import "GetterBasedComparator.h"
    #import "TreeComparator.h"
    #import "DifferenceExtraction.h"

    #import "NSPipe(StringAdditions).h"
    #import "NSString(AdvancedReplacing).h"
    #import "NSString(PathEscaping).h"

    #import "LineReader.h"

    #import "MainThreadForwarder.h"
    
    #import "ProgressDeterminator.h"
    #import "ProgressViaFileGrowthDeterminator.h"

#if 0
  // Core Data
  #import "NSManagedObjectContext(InMemory).h"
  #import "NSManagedObjectContext(UID).h"
  #import "NSManagedObject(UID).h"
  #import "NSManagedObject(DefaultInitialization).h"
  #import "NSManagedObject(IndexBasedToManyRelationship).h"
  #import "NSManagedObject(SetCascadeDeleteRelationshipsNil).h"
  #import "NSManagedObject(Equality).h"
  #import "NSManagedObject(Copying).h"
  #import "NSManagedObject(DeepDescription).h"
  #import "IndexSortedTreeManagedObject.h"
  #import "NSEntityDescription(AddingProperties).h"
  #import "NSRelationshipDescription(FactoryMethods).h"
  #import "ManagedObjectArrayProxy.h"
#endif
    
#endif
