//
//  Copyright: (C) 2006 by Martin Koehler <mkoehler@users.berlios.de>
//  $Id: NSString(AdvancedReplacing).h 19 2007-12-07 08:16:55Z martin $
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version
//

#import <Cocoa/Cocoa.h>


@interface NSString (AdvancedReplacing)

- (NSString *)replaceSubstringsOfCharacterSet:(NSCharacterSet *)characterSet
                                withCharacter:(unichar)character;

- (NSString *)replaceSubstringsOfCharacterSet:(NSCharacterSet *)characterSet
                                   withString:(NSString *)replacementString;

- (NSString *)stringBySimplifyingWhitespace;

@end
