//
//  Copyright: (C) 2005-2008 by Martin Koehler <mkoehler@users.berlios.de>
//  $Id: Stack.h 27 2008-10-10 19:15:29Z martin $
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version
//

#import <Cocoa/Cocoa.h>

@interface Stack : NSObject 
{
  NSMutableArray *_mutableArray;
}

#pragma mark Conventional Stack Interface
- (void)push:(id)object;
- (id)pop;
- (BOOL)isEmpty;

#pragma mark Additional Convenience Methods
// push all objects in array (starting from first to last)
- (void)pushObjects:(NSArray *)objects;

@end
