//
//  Copyright: (C) 2006 by Martin Koehler <mkoehler@users.berlios.de>
//  $Id: DRDevice(DescriptionAdditions).h 128 2009-06-10 16:04:08Z martin $
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version
//

#import <Cocoa/Cocoa.h>
#import <DiscRecording/DiscRecording.h>

@interface DRDevice (DescriptionAdditions)

#pragma mark Gather Capabilities

- (NSArray *)supportedWriteModeNames;
- (NSArray *)writableMediaTypeNames;

#pragma mark Display Info

- (NSString *)uniqueDisplayName;

@end
