//
//  Copyright: (C) 2006 by Martin Koehler <mkoehler@users.berlios.de>
//  $Id: DiskUtil.h 114 2008-11-01 19:34:44Z martin $
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version
//

#import <Cocoa/Cocoa.h>
#import <DiscRecording/DiscRecording.h>

extern NSString *DISKUTIL_PATH;

@interface DiskUtil : NSObject 
{
}

#pragma mark Convert the Stdio of the diskutil cmd-line util into an object model

+ (NSMutableDictionary *)parsePListForInfo:(NSString *)mountPointOrDevice;

#pragma mark Unmounting

+ (void)launchUnmountDiskCommand:(DRDevice *)device;

@end
