//
//  Copyright: (C) 2006-2008 by Martin Koehler <mkoehler@users.berlios.de>
//  $Id: SessionInfo.h 88 2008-05-25 14:43:15Z martin $
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version
//


#import <Cocoa/Cocoa.h>
#import "TrackInfo.h"

@interface SessionInfo : NSObject
{
  NSMutableArray *_tracks; // array containing TrackInfo objects
}

#pragma mark Getters
- (NSMutableArray *)tracks;

#pragma mark Setters
- (void)setTracks:(NSMutableArray *)tracks;

#pragma mark Derived Getters
- (uint64_t)lengthInBytes;
- (NSString *)describeLength;

- (BOOL)containsAudioOrRawTracks;
- (BOOL)containsDataTracks;

@end
