//
//  Copyright: (C) 2007-2009 by Martin Koehler <mkoehler@users.berlios.de>
//  $Id: UnsupportedLanguageWorkaround.h 410 2009-09-26 14:03:55Z martin $
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version
//


#import <Cocoa/Cocoa.h>


@interface UnsupportedLanguageWorkaround : NSObject 
{
  NSString *_currentMainBundlePath;
}

- (NSArray *)allLocalizedBundles;

#pragma mark Internal Helpers
- (void)restart;
- (void)makeLproj:(NSString *)lproj;

#pragma mark IB Actions

- (IBAction)makeBosnian:(id)sender;
- (IBAction)restoreAllLanguages:(id)sender;

@end
