//
//  Copyright: (C) 2005-2006 by Martin Koehler <mkoehler@users.berlios.de>
//  $Id: Comparator.h 1 2006-03-11 15:39:42Z martin $
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version
//

#import <Cocoa/Cocoa.h>

@interface Comparator : NSObject 
{
}

#pragma mark Comparators 

// this is implemented by subclasses
- (BOOL)object:(id)obj1 
     isEqualTo:(id)obj2
     differenceDescription:(NSString **)difference;

// for convenience (calls the above method)
- (BOOL)object:(id)obj1 
     isEqualTo:(id)obj2;

@end
