//
//  Copyright: (C) 2005-2006 by Martin Koehler <mkoehler@users.berlios.de>
//  $Id: ConjunctiveComparator.h 28 2008-10-18 13:55:13Z martin $
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version
//

#import <Cocoa/Cocoa.h>
#import "Comparator.h"

@interface ConjunctiveComparator : Comparator
{
  NSArray *_comparators;
}

#pragma mark Initializers
- (id)initWithComparator:(Comparator *)c1 
           andComparator:(Comparator *)c2;

- (id)initWithComparators:(NSArray *)theComparators;

#pragma mark Getters
- (NSArray *)comparators;

#pragma mark Setters
- (void)setComparators:(NSArray *)theComparators;

@end
