//
//  Copyright: (C) 2006-2008 by Martin Koehler <mkoehler@users.berlios.de>
//  $Id: MainThreadForwarder.h 28 2008-10-18 13:55:13Z martin $
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version
//

#import <Cocoa/Cocoa.h>

@interface MainThreadForwarder : NSObject
{
  id _delegate;
}

#pragma mark Initializers

- (id)initWithDelegate:(id)theDelegate;

#pragma mark Getters

- (id)delegate;

#pragma mark Setters

- (void)setDelegate:(id)theDelegate;

#pragma mark Forwarding

- (void)handleInvocationInMainThread:(NSInvocation *)invocation;

@end
