//
//  DiscOperationProgressDelegateMainThreadForwarder.h
//  SBRippingAndBurning
//
//  Created by Martin Köhler on 02.08.06.
//  Copyright 2006 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "DiscOperationStatus.h"

@protocol DiscOperationProgressDelegate
- (void)transitionFromState:(DiscOperationState)fromState
                    toState:(DiscOperationState)toState;

- (void)indeterminateProgressWithShortText:(NSString *)shortText
                                  longText:(NSString *)longText;

- (void)progressIsMinValue:(NSNumber *)minValue
                  maxValue:(NSNumber *)maxValue
              currentValue:(NSNumber *)currentValue
                 shortText:(NSString *)shortText
                  longText:(NSString *)longText;
                  
- (void)terminatedWithState:(DiscOperationState)finalState
             infoDictionary:(NSDictionary *)dictionary;
@end
