#! /bin/sh

DISC_RECORDING_LOG="$HOME/Library/Logs/DiscRecording.log"

echo "-------------------------------------------------------------"
echo "LOGFILE 1: $DISC_RECORDING_LOG"
echo "-------------------------------------------------------------"
echo -en "\n"
echo -en "\n"

cat $DISC_RECORDING_LOG


echo "-------------------------------------------------------------"
echo "LOGFILE 2+: Files: /var/log/system.log*      "
echo "            (only lines matching SimplyBurns)"
echo "-------------------------------------------------------------"
echo -en "\n"
echo -en "\n"

export SYSTEM_LOG_FILES=$(ls -r /var/log/system.log.*.bz2)

(\
   bzip2 -d --stdout $SYSTEM_LOG_FILES; \
   cat /var/log/system.log \
) | grep SimplyBurns

exit 0
